rpc

A library to deal with RPCs in OCaml
IN THIS PACKAGE
Empty package map

Error log

The package failed to build. The error log from opam follows.

# Detecting depexts using vars: arch=x86_64, os=linux, os-distribution=debian, os-family=debian
# No extra OS packages requirements found.
# All required OS packages found.
# Now letting opam install the packages
[NOTE] Package ocamlfind is already installed (current version is 1.9.5).
[NOTE] Package dune is already installed (current version is 1.11.4).
The following actions will be performed:
  - install cppo                    1.6.9
  - install seq                     0.2.2
  - install stringext               1.6.0
  - install octavius                1.2.2
  - install base-num                base
  - install dune-configurator       1.0.0
  - install ppx_derivers            1.2.1
  - install bigarray-compat         1.1.0
  - install base-bytes              base
  - install ocamlbuild              0.14.1
  - install jbuilder                transition
  - install ppx_tools               5.0+4.05.0
  - install cmdliner                1.0.4
  - install result                  1.5
  - install yojson                  2.0.0
  - install re                      1.9.0
  - install num                     0
  - install mmap                    1.2.0
  - install cstruct                 5.1.1
  - install bigstringaf             0.6.1
  - install ocplib-endian           1.2
  - install uchar                   0.0.2
  - install topkg                   1.0.5
  - install omd                     1.3.1
  - install ocamlmod                0.0.9
  - install ocamlify                0.0.1
  - install cppo_ocamlbuild         1.6.9
  - install camlp4                  4.05+1
  - install spawn                   v0.9.0
  - install ppx_traverse_builtins   v0.9.0
  - install ocaml-compiler-libs     v0.9.0
  - install jane-street-headers     v0.9.0
  - install ocaml-migrate-parsetree 1.8.0
  - install sexplib                 v0.9.3
  - install hex                     1.4.0
  - install angstrom                0.14.1
  - install lwt                     5.2.0
  - install xmlm                    1.4.0
  - install uutf                    1.0.3
  - install rresult                 0.6.0
  - install oasis                   0.4.11
  - install type_conv               113.00.02
  - install ppx_deriving            4.2.1
  - install ppx_ast                 v0.9.1
  - install base                    v0.9.4
  - install uri                     4.2.0
  - install jsonm                   1.0.1
  - install typerep                 v0.9.0
  - install stdio                   v0.9.1
  - install ezjsonm                 1.1.0
  - install ppx_core                v0.9.3
  - install cow                     2.4.0
  - install ppx_optcomp             v0.9.0
  - install ppx_driver              v0.9.2
  - install variantslib             v0.9.0
  - install ppx_metaquot            v0.9.0
  - install ppx_let                 v0.9.0
  - install ppx_here                v0.9.1
  - install fieldslib               v0.9.0
  - install ppx_type_conv           v0.9.1
  - install ppx_pipebang            v0.9.0
  - install ppx_optional            v0.9.0
  - install ppx_js_style            v0.9.0
  - install ppx_inline_test         v0.9.2
  - install ppx_fail                v0.9.0
  - install ppx_variants_conv       v0.9.0
  - install ppx_typerep_conv        v0.9.0
  - install ppx_traverse            v0.9.0
  - install ppx_sexp_conv           v0.9.0
  - install ppx_fields_conv         v0.9.0
  - install ppx_enumerate           v0.9.0
  - install ppx_compare             v0.9.0
  - install ppx_bench               v0.9.1
  - install ppx_sexp_value          v0.9.0
  - install ppx_sexp_message        v0.9.0
  - install ppx_custom_printf       v0.9.0
  - install ppx_hash                v0.9.0
  - install ppx_assert              v0.9.0
  - install bin_prot                v0.9.2
  - install ppx_base                v0.9.0
  - install ppx_expect              v0.9.0
  - install ppx_bin_prot            v0.9.0
  - install configurator            v0.9.1
  - install ppx_jane                v0.9.0
  - install core_kernel             v0.9.1
  - install core                    v0.9.2
  - install async_kernel            v0.9.0
  - install async_unix              v0.9.1
  - install async_rpc_kernel        v0.9.0
  - install async_extra             v0.9.0
  - install async                   v0.9.0
  - install rpc                     2.2.0
  - install xapi-backtrace          0.5
===== 93 to install =====

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[angstrom.0.14.1] found in cache
Processing  1/93:
Processing  2/93: [async.v0.9.0: http]
Processing  3/93: [async.v0.9.0: http] [async_extra.v0.9.0: http]
[async_kernel.v0.9.0] found in cache
Processing  4/93: [async.v0.9.0: http] [async_extra.v0.9.0: http]
Processing  5/93: [async.v0.9.0: http] [async_extra.v0.9.0: http] [async_rpc_kernel.v0.9.0: http]
[async.v0.9.0] downloaded from https://ocaml.janestreet.com/ocaml-core/v0.9/files/async-v0.9.0.tar.gz
Processing  5/93: [async_extra.v0.9.0: http] [async_rpc_kernel.v0.9.0: http]
Processing  6/93: [async_extra.v0.9.0: http] [async_rpc_kernel.v0.9.0: http] [async_unix.v0.9.1: http]
[async_rpc_kernel.v0.9.0] downloaded from https://ocaml.janestreet.com/ocaml-core/v0.9/files/async_rpc_kernel-v0.9.0.tar.gz
Processing  6/93: [async_extra.v0.9.0: http] [async_unix.v0.9.1: http]
[base.v0.9.4] found in cache
Processing  7/93: [async_extra.v0.9.0: http] [async_unix.v0.9.1: http]
[async_extra.v0.9.0] downloaded from https://ocaml.janestreet.com/ocaml-core/v0.9/files/async_extra-v0.9.0.tar.gz
Processing  7/93: [async_unix.v0.9.1: http]
Processing  8/93: [async_unix.v0.9.1: http]
Processing  9/93: [async_unix.v0.9.1: http]
[bigarray-compat.1.1.0] found in cache
Processing 10/93: [async_unix.v0.9.1: http]
[bigstringaf.0.6.1] found in cache
Processing 11/93: [async_unix.v0.9.1: http]
Processing 12/93: [async_unix.v0.9.1: http] [bin_prot.v0.9.2: http]
Processing 13/93: [async_unix.v0.9.1: http] [bin_prot.v0.9.2: http] [camlp4.4.05+1: http]
[async_unix.v0.9.1] downloaded from https://github.com/janestreet/async_unix/archive/v0.9.1.tar.gz
Processing 13/93: [bin_prot.v0.9.2: http] [camlp4.4.05+1: http]
[cmdliner.1.0.4] found in cache
Processing 14/93: [bin_prot.v0.9.2: http] [camlp4.4.05+1: http]
[bin_prot.v0.9.2] downloaded from https://github.com/janestreet/bin_prot/archive/v0.9.2.tar.gz
Processing 14/93: [camlp4.4.05+1: http]
[configurator.v0.9.1] found in cache
Processing 15/93: [camlp4.4.05+1: http]
[core.v0.9.2] found in cache
Processing 16/93: [camlp4.4.05+1: http]
Processing 17/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[cow.2.4.0] found in cache
Processing 18/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[cppo.1.6.9] found in cache
Processing 19/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[cppo_ocamlbuild.1.6.9] found in cache
Processing 20/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[cstruct.5.1.1] found in cache
Processing 21/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
Processing 22/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[ezjsonm.1.1.0] found in cache
Processing 23/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[fieldslib.v0.9.0] found in cache
Processing 24/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[hex.1.4.0] found in cache
Processing 25/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[jane-street-headers.v0.9.0] found in cache
Processing 26/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
Processing 27/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[jsonm.1.0.1] found in cache
Processing 28/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[lwt.5.2.0] found in cache
Processing 29/93: [camlp4.4.05+1: http] [core_kernel.v0.9.1: http]
[camlp4.4.05+1] downloaded from https://github.com/ocaml/camlp4/archive/4.05+1.tar.gz
Processing 29/93: [core_kernel.v0.9.1: http]
[mmap.1.2.0] found in cache
Processing 30/93: [core_kernel.v0.9.1: http]
Processing 31/93: [core_kernel.v0.9.1: http]
[oasis.0.4.11] found in cache
Processing 32/93: [core_kernel.v0.9.1: http]
[ocaml-compiler-libs.v0.9.0] found in cache
Processing 33/93: [core_kernel.v0.9.1: http]
[ocaml-migrate-parsetree.1.8.0] found in cache
Processing 34/93: [core_kernel.v0.9.1: http]
[ocamlbuild.0.14.1] found in cache
Processing 35/93: [core_kernel.v0.9.1: http]
[ocamlify.0.0.1] found in cache
Processing 36/93: [core_kernel.v0.9.1: http]
[ocamlmod.0.0.9] found in cache
Processing 37/93: [core_kernel.v0.9.1: http]
[ocplib-endian.1.2] found in cache
Processing 38/93: [core_kernel.v0.9.1: http]
[octavius.1.2.2] found in cache
Processing 39/93: [core_kernel.v0.9.1: http]
[omd.1.3.1] found in cache
Processing 40/93: [core_kernel.v0.9.1: http]
[ppx_assert.v0.9.0] found in cache
Processing 41/93: [core_kernel.v0.9.1: http]
[ppx_ast.v0.9.1] found in cache
Processing 42/93: [core_kernel.v0.9.1: http]
[ppx_base.v0.9.0] found in cache
Processing 43/93: [core_kernel.v0.9.1: http]
[ppx_bench.v0.9.1] found in cache
Processing 44/93: [core_kernel.v0.9.1: http]
[ppx_bin_prot.v0.9.0] found in cache
Processing 45/93: [core_kernel.v0.9.1: http]
[ppx_compare.v0.9.0] found in cache
Processing 46/93: [core_kernel.v0.9.1: http]
[ppx_core.v0.9.3] found in cache
Processing 47/93: [core_kernel.v0.9.1: http]
[ppx_custom_printf.v0.9.0] found in cache
Processing 48/93: [core_kernel.v0.9.1: http]
[ppx_derivers.1.2.1] found in cache
Processing 49/93: [core_kernel.v0.9.1: http]
[ppx_deriving.4.2.1] found in cache
Processing 50/93: [core_kernel.v0.9.1: http]
[ppx_driver.v0.9.2] found in cache
Processing 51/93: [core_kernel.v0.9.1: http]
[ppx_enumerate.v0.9.0] found in cache
Processing 52/93: [core_kernel.v0.9.1: http]
[ppx_expect.v0.9.0] found in cache
Processing 53/93: [core_kernel.v0.9.1: http]
[ppx_fail.v0.9.0] found in cache
Processing 54/93: [core_kernel.v0.9.1: http]
[ppx_fields_conv.v0.9.0] found in cache
Processing 55/93: [core_kernel.v0.9.1: http]
[ppx_hash.v0.9.0] found in cache
Processing 56/93: [core_kernel.v0.9.1: http]
[ppx_here.v0.9.1] found in cache
Processing 57/93: [core_kernel.v0.9.1: http]
[ppx_inline_test.v0.9.2] found in cache
Processing 58/93: [core_kernel.v0.9.1: http]
[ppx_jane.v0.9.0] found in cache
Processing 59/93: [core_kernel.v0.9.1: http]
[ppx_js_style.v0.9.0] found in cache
Processing 60/93: [core_kernel.v0.9.1: http]
[ppx_let.v0.9.0] found in cache
Processing 61/93: [core_kernel.v0.9.1: http]
[ppx_metaquot.v0.9.0] found in cache
Processing 62/93: [core_kernel.v0.9.1: http]
[ppx_optcomp.v0.9.0] found in cache
Processing 63/93: [core_kernel.v0.9.1: http]
[ppx_optional.v0.9.0] found in cache
Processing 64/93: [core_kernel.v0.9.1: http]
[ppx_pipebang.v0.9.0] found in cache
Processing 65/93: [core_kernel.v0.9.1: http]
[ppx_sexp_conv.v0.9.0] found in cache
Processing 66/93: [core_kernel.v0.9.1: http]
[ppx_sexp_message.v0.9.0] found in cache
Processing 67/93: [core_kernel.v0.9.1: http]
[ppx_sexp_value.v0.9.0] found in cache
Processing 68/93: [core_kernel.v0.9.1: http]
[ppx_tools.5.0+4.05.0] found in cache
Processing 69/93: [core_kernel.v0.9.1: http]
[ppx_traverse.v0.9.0] found in cache
Processing 70/93: [core_kernel.v0.9.1: http]
[ppx_traverse_builtins.v0.9.0] found in cache
Processing 71/93: [core_kernel.v0.9.1: http]
[ppx_type_conv.v0.9.1] found in cache
Processing 72/93: [core_kernel.v0.9.1: http]
[ppx_typerep_conv.v0.9.0] found in cache
Processing 73/93: [core_kernel.v0.9.1: http]
[ppx_variants_conv.v0.9.0] found in cache
Processing 74/93: [core_kernel.v0.9.1: http]
[re.1.9.0] found in cache
Processing 75/93: [core_kernel.v0.9.1: http]
[result.1.5] found in cache
Processing 76/93: [core_kernel.v0.9.1: http]
Processing 77/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[rresult.0.6.0] found in cache
Processing 78/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[seq.0.2.2] found in cache
Processing 79/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[sexplib.v0.9.3] found in cache
Processing 80/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[spawn.v0.9.0] found in cache
Processing 81/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[stdio.v0.9.1] found in cache
Processing 82/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[stringext.1.6.0] found in cache
Processing 83/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[topkg.1.0.5] found in cache
Processing 84/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[type_conv.113.00.02] found in cache
Processing 85/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[typerep.v0.9.0] found in cache
Processing 86/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[uchar.0.0.2] found in cache
Processing 87/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[uri.4.2.0] found in cache
Processing 88/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[uutf.1.0.3] found in cache
Processing 89/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
[variantslib.v0.9.0] found in cache
Processing 90/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http]
Processing 91/93: [core_kernel.v0.9.1: http] [rpc.2.2.0: http] [xapi-backtrace.0.5: http]
Processing 91/93: [core_kernel.v0.9.1: http] [xapi-backtrace.0.5: http]
[xmlm.1.4.0] found in cache
Processing 92/93: [core_kernel.v0.9.1: http] [xapi-backtrace.0.5: http]
[yojson.2.0.0] found in cache
Processing 93/93: [core_kernel.v0.9.1: http] [xapi-backtrace.0.5: http]
Processing 93/93: [core_kernel.v0.9.1: http]
[core_kernel.v0.9.1] downloaded from https://github.com/janestreet/core_kernel/archive/v0.9.1.tar.gz
Processing 93/93:
[ERROR] The sources of the following couldn't be obtained, aborting:
          - rpc.2.2.0:
            https://github.com/mirage/ocaml-rpc/archive/v2.2.0.tar.gz (Curl failed: "/usr/bin/curl --write-out %{http_code}\\n --retry 3 --retry-delay 2 --user-agent opam/2.0.10 -L -o /home/opam/.opam/4.05/.opam-switch/sources/rpc.2.2.0/v2.2.0.tar.gz.part https://github.com/mirage/ocaml-rpc/archive/v2.2.0.tar.gz" exited with code 6)
          - xapi-backtrace.0.5:
            https://github.com/xapi-project/backtrace/archive/v0.5.tar.gz (Curl failed: "/usr/bin/curl --write-out %{http_code}\\n --retry 3 --retry-delay 2 --user-agent opam/2.0.10 -L -o /home/opam/.opam/4.05/.opam-switch/sources/xapi-backtrace.0.5/v0.5.tar.gz.part https://github.com/xapi-project/backtrace/archive/v0.5.tar.gz" exited with code 6)

'opam install --verbose --yes xapi-backtrace.0.5 angstrom.0.14.1 async.v0.9.0 async_extra.v0.9.0 async_kernel.v0.9.0 async_rpc_kernel.v0.9.0 async_unix.v0.9.1 base.v0.9.4 base-bytes.base base-num.base bigarray-compat.1.1.0 bigstringaf.0.6.1 bin_prot.v0.9.2 camlp4.4.05+1 cmdliner.1.0.4 configurator.v0.9.1 core.v0.9.2 core_kernel.v0.9.1 cow.2.4.0 cppo.1.6.9 cppo_ocamlbuild.1.6.9 cstruct.5.1.1 dune.1.11.4 dune-configurator.1.0.0 ezjsonm.1.1.0 fieldslib.v0.9.0 hex.1.4.0 jane-street-headers.v0.9.0 jbuilder.transition jsonm.1.0.1 lwt.5.2.0 mmap.1.2.0 num.0 oasis.0.4.11 ocaml-compiler-libs.v0.9.0 ocaml-migrate-parsetree.1.8.0 ocamlbuild.0.14.1 ocamlfind.1.9.5 ocamlify.0.0.1 ocamlmod.0.0.9 ocplib-endian.1.2 octavius.1.2.2 omd.1.3.1 ppx_assert.v0.9.0 ppx_ast.v0.9.1 ppx_base.v0.9.0 ppx_bench.v0.9.1 ppx_bin_prot.v0.9.0 ppx_compare.v0.9.0 ppx_core.v0.9.3 ppx_custom_printf.v0.9.0 ppx_derivers.1.2.1 ppx_deriving.4.2.1 ppx_driver.v0.9.2 ppx_enumerate.v0.9.0 ppx_expect.v0.9.0 ppx_fail.v0.9.0 ppx_fields_conv.v0.9.0 ppx_hash.v0.9.0 ppx_here.v0.9.1 ppx_inline_test.v0.9.2 ppx_jane.v0.9.0 ppx_js_style.v0.9.0 ppx_let.v0.9.0 ppx_metaquot.v0.9.0 ppx_optcomp.v0.9.0 ppx_optional.v0.9.0 ppx_pipebang.v0.9.0 ppx_sexp_conv.v0.9.0 ppx_sexp_message.v0.9.0 ppx_sexp_value.v0.9.0 ppx_tools.5.0+4.05.0 ppx_traverse.v0.9.0 ppx_traverse_builtins.v0.9.0 ppx_type_conv.v0.9.1 ppx_typerep_conv.v0.9.0 ppx_variants_conv.v0.9.0 re.1.9.0 result.1.5 rpc.2.2.0 rresult.0.6.0 seq.0.2.2 sexplib.v0.9.3 spawn.v0.9.0 stdio.v0.9.1 stringext.1.6.0 topkg.1.0.5 type_conv.113.00.02 typerep.v0.9.0 uchar.0.0.2 uri.4.2.0 uutf.1.0.3 variantslib.v0.9.0 xmlm.1.4.0 yojson.2.0.0' failed.